## r-bioc-fmcsr 1.30.0+dfsg

=== DESCRIPTION ===
Package: fmcsR
Type: Package
Title: Mismatch Tolerant Maximum Common Substructure Searching
Version: 1.30.0
Date: 2018-10-22
Author: Yan Wang, Tyler Backman, Kevin Horan, Thomas Girke
Maintainer: Thomas Girke <thomas.girke@ucr.edu>
Description: The fmcsR package introduces an efficient maximum common
        substructure (MCS) algorithms combined with a novel matching
        strategy that allows for atom and/or bond mismatches in the
        substructures shared among two small molecules. The resulting
        flexible MCSs (FMCSs) are often larger than strict MCSs,
        resulting in the identification of more common features in
        their source structures, as well as a higher sensitivity in
        finding compounds with weak structural similarities. The fmcsR
        package provides several utilities to use the FMCS algorithm
        for pairwise compound comparisons, structure similarity
        searching and clustering.
Depends: R (>= 2.10.0), ChemmineR, methods
Suggests: BiocStyle, knitr, knitcitations, knitrBootstrap
License: Artistic-2.0
LazyLoad: yes
URL: https://github.com/girke-lab/fmcsR
biocViews: Cheminformatics, BiomedicalInformatics, Pharmacogenetics,
        Pharmacogenomics, MicrotitrePlateAssay, CellBasedAssays,
        Visualization, Infrastructure, DataImport, Clustering,
        Proteomics, Metabolomics
Imports: RUnit, methods, ChemmineR, BiocGenerics, parallel
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/fmcsR
git_branch: RELEASE_3_11
git_last_commit: 9e2e770
git_last_commit_date: 2020-04-27
Date/Publication: 2020-04-27
NeedsCompilation: yes
Packaged: 2020-04-28 00:43:47 UTC; biocbuild

=== debian/changelog ===
r-bioc-fmcsr (1.30.0+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:07:29 +0000

r-bioc-fmcsr (1.30.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 20 May 2020 17:20:37 +0200

r-bioc-fmcsr (1.28.0+dfsg-2) unstable; urgency=medium

  * Source only upload

 -- Andreas Tille <tille@debian.org>  Fri, 03 Apr 2020 11:42:23 +0200

r-bioc-fmcsr (1.28.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #955288)

 -- Andreas Tille <tille@debian.org>  Sun, 29 Mar 2020 14:46:06 +0200

=== debian/control ===
Source: r-bioc-fmcsr
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-bioc-chemminer,
               r-cran-runit,
               r-bioc-biocgenerics
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-fmcsr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-fmcsr.git
Homepage: https://bioconductor.org/packages/fmcsR/
Rules-Requires-Root: no

Package: r-bioc-fmcsr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R mismatch tolerant maximum common substructure searching
 The fmcsR package introduces an efficient maximum common
 substructure (MCS) algorithms combined with a novel matching
 strategy that allows for atom and/or bond mismatches in the
 substructures shared among two small molecules. The resulting
 flexible MCSs (FMCSs) are often larger than strict MCSs,
 resulting in the identification of more common features in
 their source structures, as well as a higher sensitivity in
 finding compounds with weak structural similarities. The fmcsR
 package provides several utilities to use the FMCS algorithm
 for pairwise compound comparisons, structure similarity
 searching and clustering.

## r-bioc-fmcsr 1.32.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: fmcsR
 Type: Package
 Title: Mismatch Tolerant Maximum Common Substructure Searching
-Version: 1.30.0
-Date: 2018-10-22
+Version: 1.32.0
+Date: 2020-10-14
 Author: Yan Wang, Tyler Backman, Kevin Horan, Thomas Girke
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
 Description: The fmcsR package introduces an efficient maximum common
@@ -28,9 +28,9 @@
 Imports: RUnit, methods, ChemmineR, BiocGenerics, parallel
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/fmcsR
-git_branch: RELEASE_3_11
-git_last_commit: 9e2e770
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
+git_branch: RELEASE_3_12
+git_last_commit: 91d402d
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
 NeedsCompilation: yes
-Packaged: 2020-04-28 00:43:47 UTC; biocbuild
+Packaged: 2020-10-28 00:14:17 UTC; biocbuild

=== debian/changelog ===
r-bioc-fmcsr (1.32.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 01 Nov 2020 17:39:46 +0100

## r-bioc-fmcsr 1.32.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-bioc-fmcsr
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-chemminer,

## r-bioc-fmcsr 1.36.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: fmcsR
 Type: Package
 Title: Mismatch Tolerant Maximum Common Substructure Searching
-Version: 1.32.0
-Date: 2020-10-14
+Version: 1.36.0
+Date: 2021-04-19
 Author: Yan Wang, Tyler Backman, Kevin Horan, Thomas Girke
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
 Description: The fmcsR package introduces an efficient maximum common
@@ -17,7 +17,7 @@
         for pairwise compound comparisons, structure similarity
         searching and clustering.
 Depends: R (>= 2.10.0), ChemmineR, methods
-Suggests: BiocStyle, knitr, knitcitations, knitrBootstrap
+Suggests: BiocStyle, knitr, knitcitations, knitrBootstrap,rmarkdown
 License: Artistic-2.0
 LazyLoad: yes
 URL: https://github.com/girke-lab/fmcsR
@@ -28,9 +28,9 @@
 Imports: RUnit, methods, ChemmineR, BiocGenerics, parallel
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/fmcsR
-git_branch: RELEASE_3_12
-git_last_commit: 91d402d
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 4552dbc
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes
-Packaged: 2020-10-28 00:14:17 UTC; biocbuild
+Packaged: 2021-10-26 21:27:42 UTC; biocbuild

=== debian/changelog ===
r-bioc-fmcsr (1.36.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.36.0+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 20:47:57 +0530

r-bioc-fmcsr (1.34.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 03 Sep 2021 11:37:00 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-bioc-chemminer,
                r-cran-runit,
                r-bioc-biocgenerics
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-fmcsr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-fmcsr.git
 Homepage: https://bioconductor.org/packages/fmcsR/

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/fmcsR.html .*/fmcsR_(.*).tar.gz

## r-bioc-fmcsr 1.38.0%2Bdfsg

=== debian/changelog ===
r-bioc-fmcsr (1.38.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Fix lintian override

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 12:15:28 +0200

## r-bioc-fmcsr 1.38.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: fmcsR
 Type: Package
 Title: Mismatch Tolerant Maximum Common Substructure Searching
-Version: 1.36.0
+Version: 1.38.0
 Date: 2021-04-19
 Author: Yan Wang, Tyler Backman, Kevin Horan, Thomas Girke
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
@@ -28,9 +28,9 @@
 Imports: RUnit, methods, ChemmineR, BiocGenerics, parallel
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/fmcsR
-git_branch: RELEASE_3_14
-git_last_commit: 4552dbc
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 051d4a6
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 21:27:42 UTC; biocbuild
+Packaged: 2022-04-26 20:40:31 UTC; biocbuild

## r-bioc-fmcsr 1.40.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: fmcsR
 Type: Package
 Title: Mismatch Tolerant Maximum Common Substructure Searching
-Version: 1.38.0
+Version: 1.40.0
 Date: 2021-04-19
 Author: Yan Wang, Tyler Backman, Kevin Horan, Thomas Girke
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
@@ -28,9 +28,9 @@
 Imports: RUnit, methods, ChemmineR, BiocGenerics, parallel
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/fmcsR
-git_branch: RELEASE_3_15
-git_last_commit: 051d4a6
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 980b63e
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-04-26 20:40:31 UTC; biocbuild
+Packaged: 2022-11-01 21:33:49 UTC; biocbuild

=== debian/changelog ===
r-bioc-fmcsr (1.40.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Update lintian override info format in d/source/lintian-overrides on line 2.

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 16:34:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-bioc-fmcsr
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-fmcsr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-fmcsr.git
+Homepage: https://bioconductor.org/packages/fmcsR/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-chemminer,
                r-cran-runit,
                r-bioc-biocgenerics
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-fmcsr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-fmcsr.git
-Homepage: https://bioconductor.org/packages/fmcsR/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-fmcsr
 Architecture: any

## r-bioc-fmcsr 1.42.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: fmcsR
 Type: Package
 Title: Mismatch Tolerant Maximum Common Substructure Searching
-Version: 1.40.0
+Version: 1.42.0
 Date: 2021-04-19
 Author: Yan Wang, Tyler Backman, Kevin Horan, Thomas Girke
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
@@ -28,9 +28,9 @@
 Imports: RUnit, methods, ChemmineR, BiocGenerics, parallel
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/fmcsR
-git_branch: RELEASE_3_16
-git_last_commit: 980b63e
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 2e1ff9c
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes
-Packaged: 2022-11-01 21:33:49 UTC; biocbuild
+Packaged: 2023-04-25 21:08:07 UTC; biocbuild

=== debian/changelog ===
r-bioc-fmcsr (1.42.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)
  * Do not use vignette for testing and add d/t/autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 06:28:54 +0200

## r-bioc-fmcsr 1.44.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: fmcsR
 Type: Package
 Title: Mismatch Tolerant Maximum Common Substructure Searching
-Version: 1.42.0
+Version: 1.44.0
 Date: 2021-04-19
 Author: Yan Wang, Tyler Backman, Kevin Horan, Thomas Girke
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
@@ -28,9 +28,9 @@
 Imports: RUnit, methods, ChemmineR, BiocGenerics, parallel
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/fmcsR
-git_branch: RELEASE_3_17
-git_last_commit: 2e1ff9c
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 08956ef
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-04-25 21:08:07 UTC; biocbuild
+Packaged: 2023-10-24 21:15:24 UTC; biocbuild

=== debian/changelog ===
r-bioc-fmcsr (1.44.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 08:10:16 +0100

r-bioc-fmcsr (1.42.0+dfsg1-1) unstable; urgency=medium

  * Clean up some auto generated files
    Closes: #1049116
  * Since we are removing some docs anyway we also drop auto generated
    files which make building package twice in a row harder than needed

 -- Andreas Tille <tille@debian.org>  Thu, 19 Oct 2023 16:19:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-fmcsr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-fmcsr.git
 Homepage: https://bioconductor.org/packages/fmcsR/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-fmcsr 1.46.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: fmcsR
 Type: Package
 Title: Mismatch Tolerant Maximum Common Substructure Searching
-Version: 1.44.0
+Version: 1.46.0
 Date: 2021-04-19
 Author: Yan Wang, Tyler Backman, Kevin Horan, Thomas Girke
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
@@ -28,9 +28,10 @@
 Imports: RUnit, methods, ChemmineR, BiocGenerics, parallel
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/fmcsR
-git_branch: RELEASE_3_18
-git_last_commit: 08956ef
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: f83e289
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2023-10-24 21:15:24 UTC; biocbuild
+Packaged: 2024-05-01 03:48:42 UTC; biocbuild

=== debian/changelog ===
r-bioc-fmcsr (1.46.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 16:28:00 +0200

r-bioc-fmcsr (1.46.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 12 Jul 2024 11:25:47 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
+               architecture-is-64-bit,
                dh-r,
                r-base-dev,
                r-bioc-chemminer,

## r-bioc-fmcsr 1.48.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: fmcsR
 Type: Package
 Title: Mismatch Tolerant Maximum Common Substructure Searching
-Version: 1.46.0
-Date: 2021-04-19
+Version: 1.48.0
+Date: 2024-09-26
 Author: Yan Wang, Tyler Backman, Kevin Horan, Thomas Girke
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
 Description: The fmcsR package introduces an efficient maximum common
@@ -17,7 +17,8 @@
         for pairwise compound comparisons, structure similarity
         searching and clustering.
 Depends: R (>= 2.10.0), ChemmineR, methods
-Suggests: BiocStyle, knitr, knitcitations, knitrBootstrap,rmarkdown
+Suggests: BiocStyle, knitr, knitcitations, knitrBootstrap,rmarkdown,
+        codetools
 License: Artistic-2.0
 LazyLoad: yes
 URL: https://github.com/girke-lab/fmcsR
@@ -28,10 +29,10 @@
 Imports: RUnit, methods, ChemmineR, BiocGenerics, parallel
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/fmcsR
-git_branch: RELEASE_3_19
-git_last_commit: f83e289
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: e74e4ed
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 03:48:42 UTC; biocbuild
+Packaged: 2024-10-30 00:44:25 UTC; biocbuild

=== debian/changelog ===
r-bioc-fmcsr (1.48.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 03:35:18 +0100

r-bioc-fmcsr (1.48.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 14:33:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-fmcsr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-fmcsr.git
 Homepage: https://bioconductor.org/packages/fmcsR/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               architecture-is-64-bit,
                dh-r,
                r-base-dev,
                r-bioc-chemminer,
                r-cran-runit,
-               r-bioc-biocgenerics
+               r-bioc-biocgenerics,
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-fmcsr
